package x64

import "math"

// sizeOf tells you how many bytes are needed to encode this number.
func sizeOf(number int) int {
	switch {
	case number >= math.MinInt8 && number <= math.MaxInt8:
		return 1

	case number >= math.MinInt16 && number <= math.MaxInt16:
		return 2

	case number >= math.MinInt32 && number <= math.MaxInt32:
		return 4

	default:
		return 8
	}
}
